package com.iamberry.wechat.face.lease;

import java.util.List;

import com.iamberry.wechat.core.entity.lease.LeaseOrder;
import com.iamberry.wechat.core.entity.machine.Machine;
import com.iamberry.wechat.core.entity.rent.RentApply;

/**
 * 租用订单接口 Service
 * 2017年2月7日
 * @author 刘志伟
 *
 */
public interface LeaseOrderService {

	/**
	 * 保存租用订单详情
	 * @param leaseOrder
	 * @return
	 */
	public boolean saveLeaseOrder(LeaseOrder leaseOrder, List<Integer> cartIds) throws Exception;
	
	/**
	 * 支付完成后修改状态和激活码
	 * @param leaseOrder
	 * @return
	 */
	public Integer updateLeaseOrderInfo(LeaseOrder leaseOrder, Machine machine);
	
	/**
	 * 根据orderId查询租金和电话
	 * @param orderId
	 * @return
	 */
	public LeaseOrder selectDepositByOrderId(String orderId);
	/**
	 *  查询租用订单详情
	 * @param orderId
	 * @return
	 */
	public List<LeaseOrder> selectLeaseOrderInfo(String openId);
	
	/**
	 * 修改订单状态（退款）
	 * @param leaseOrder
	 * @return
	 */
	public Integer updateLeaseOrderStatus(LeaseOrder leaseOrder);

	/**
	 * 添加申请记录
	 * @param apply
	 * @return
	 * @author 献
	 * @Time   2017年3月16日
	 */
	Integer addApply(RentApply apply);
	
	/**
	 * 修改申请记录为已支付
	 * @param applyId
	 * @return
	 * @author 献
	 * @Time   2017年3月16日
	 */
	Integer updateApply(RentApply apply);
}
